## GDataYouTubeCredit

GDataYouTubeCredit — YouTube credit element

## Stability Level

Stable, unless otherwise indicated

## Functions

const gchar * | gdata_youtube_credit_get_entity_type ()

## Properties

char * | entity-type | Read

## Types and Values

#define | GDATA_YOUTUBE_CREDIT_ENTITY_PARTNER
| GDataYouTubeCredit
| GDataYouTubeCreditClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataMediaCredit
                ╰── GDataYouTubeCredit

## Includes

    #include <gdata/services/youtube/gdata-youtube-credit.h>

## Description

GDataYouTubeCredit represents the YouTube-specific customizations to GDataMediaCredit. For more information, see the online documentation.

## Functions

### gdata_youtube_credit_get_entity_type ()

    const gchar *
    gdata_youtube_credit_get_entity_type (GDataYouTubeCredit *self);

`gdata_youtube_credit_get_entity_type` has been deprecated since version 0.17.0 and should not be used in newly-written code.

This is no longer supported by Google. There is no replacement.

Gets the “entity-type” property.

#### Parameters

self | a GDataYouTubeCredit |

#### Returns

the type of the credited user (e.g. `GDATA_YOUTUBE_CREDIT_ENTITY_PARTNER`), or `NULL`

Since: 0.4.0

## Types and Values

### GDATA_YOUTUBE_CREDIT_ENTITY_PARTNER

    #define GDATA_YOUTUBE_CREDIT_ENTITY_PARTNER "partner"

`GDATA_YOUTUBE_CREDIT_ENTITY_PARTNER` has been deprecated since version 0.17.0 and should not be used in newly-written code.

This is no longer supported by Google. There is no replacement.

The credited entity is a YouTube partner.

Since: 0.7.0

### GDataYouTubeCredit

    typedef struct _GDataYouTubeCredit GDataYouTubeCredit;

`GDataYouTubeCredit` has been deprecated since version 0.17.0 and should not be used in newly-written code.

This is no longer supported by Google. There is no replacement.

All the fields in the GDataYouTubeCredit structure are private and should never be accessed directly.

Since: 0.4.0

### GDataYouTubeCreditClass

    typedef struct {
    } GDataYouTubeCreditClass;

`GDataYouTubeCreditClass` has been deprecated since version 0.17.0 and should not be used in newly-written code.

This is no longer supported by Google. There is no replacement.

All the fields in the GDataYouTubeCreditClass structure are private and should never be accessed directly.

Since: 0.4.0

## Property Details

### The `“entity-type”` property

      “entity-type”              char *

The type of entity who is credited. Currently this can only be `GDATA_YOUTUBE_CREDIT_ENTITY_PARTNER`, for a YouTube partner.

For more information, see the

YouTube documentation.

`GDataYouTubeCredit:entity-type` has been deprecated since version 0.17.0 and should not be used in newly-written code.

This is no longer supported by Google. There is no replacement.

Owner: GDataYouTubeCredit

Flags: Read

Default value: NULL

Since: 0.4.0